com.thinkaurelius.titan.core

## Interface PropertyKey

- All Superinterfaces:
    com.tinkerpop.blueprints.Element, Idfiable, Namifiable, RelationType, Removable, TitanElement, TitanSchemaElement, TitanSchemaType, TitanVertex, com.tinkerpop.blueprints.Vertex
  All Known Implementing Classes:
    BaseKey, ImplicitKey, PropertyKeyVertex

      public interface PropertyKey
      extends RelationType

  PropertyKey is an extension of `RelationType` for properties. Each property in Titan has a key.

  A property key defines the following characteristics of a property:
  - Data Type: The data type of the value for a given property of this key
  - Cardinality: The cardinality of the set of properties that may be associated with a single vertex through a particular key.
  Author:
    Matthias Bröcheler (me@matthiasb.com)
  See Also:
    `RelationType`

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Cardinality` | `getCardinality()` The `Cardinality` of this property key.
    `Class<?>` | `getDataType()` Returns the data type for this property key.

    - ### Methods inherited from interface com.thinkaurelius.titan.core.RelationType

      `isEdgeLabel, isPropertyKey`

    - ### Methods inherited from interface com.thinkaurelius.titan.core.TitanVertex

      `addEdge, addEdge, addProperty, addProperty, getEdgeCount, getEdges, getEdges, getLabel, getProperties, getProperties, getProperties, getPropertyCount, getRelations, getTitanEdges, getVertexLabel, isConnected, isModified, query`

    - ### Methods inherited from interface com.thinkaurelius.titan.core.TitanElement

      `getId, getLongId, getProperty, getProperty, hasId, isLoaded, isNew, isRemoved, remove, removeProperty, removeProperty, setProperty, setProperty`

    - ### Methods inherited from interface com.tinkerpop.blueprints.Vertex

      `addEdge, getVertices`

    - ### Methods inherited from interface com.tinkerpop.blueprints.Element

      `getPropertyKeys`

    - ### Methods inherited from interface com.thinkaurelius.titan.core.Namifiable

      `getName`

- - ### Method Detail

    - #### getDataType

          Class<?> getDataType()

      Returns the data type for this property key. The values of all properties of this type must be an instance of this data type.
      Returns:
        Data type for this property key.

    - #### getCardinality

          Cardinality getCardinality()

      The `Cardinality` of this property key.
      Returns:

Copyright © 2012–2014. All rights reserved.